Bug 800299 - rlGetDistroRelease and rlGetDistroVariant are lazy on rhel7
rlGetDistroRelease and rlGetDistroVariant are lazy on rhel7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
19
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Petr Muller
: Regression
Depends On:
Blocks: 893061
  Show dependency treegraph
 
Reported: 2012-03-06 04:20 EST by Petr Sklenar
Modified: 2013-06-27 12:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 893061 (view as bug list)
Environment:
Last Closed: 2013-06-27 12:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2012-03-06 04:20:07 EST
Description of problem:
rlGetDistroRelease and rlGetDistroVariant are lazy on rhel7. It returns zero or nothing.

Version-Release number of selected component (if applicable):
beakerlib-redhat-1-5.el7.noarch

How reproducible:
deterministic

Steps to Reproduce:
[root@nec-em6 simple]# rlGetDistroRelease
0
[root@nec-em6 simple]# rlGetDistroVariant

[root@nec-em6 simple]#
  
Actual results:
0, nothing

Expected results:
rlGetDistroRelease = 7
rlGetDistroVariant = Server in case of 'server'

Additional info:
cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.0 Alpha1 (Maipo)
Comment 1 Petr Muller 2012-03-08 08:51:48 EST
That's because the redhat-release package has some weird %{VERSION} of the relevant rpm. I do not think this is a fault of beakerlib. As soon as the package will say it is from RHEL7, we can perhaps adjust the regexen, but when it says the RHEL is 6.90...

What I now see @ zelo:
# rpm -q --whatprovides redhat-release
redhat-release-server-6.90Server-7.0.0.2.el7.x86_64
[root@zelo beakerlib]# rlGetDistroVariant 
.90Server
[root@zelo beakerlib]# rlGetDistroRelease 
6
Comment 2 Petr Muller 2012-03-08 09:28:28 EST
Anyways, I checked in something which should help and not break other versions.
Comment 4 Petr Muller 2013-01-08 09:22:11 EST
beakerlib-1.6-1 is already in fedora
Comment 5 Fedora End Of Life 2013-04-03 16:38:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.